Bug 588614 - [abrt] crash in pyrenamer-0.6.0.1-4.fc12: pyrenamer_filefuncs.py:197:replace_with:UnicodeDecodeError: 'utf8' codec can't decode byte 0x82 in position 20: unexpected code byte
Summary: [abrt] crash in pyrenamer-0.6.0.1-4.fc12: pyrenamer_filefuncs.py:197:replace_...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pyrenamer
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:27df8382
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 05:39 UTC by alextazy0
Modified: 2010-12-03 15:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 15:07:23 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.14 KB, text/plain)
2010-05-04 05:39 UTC, alextazy0
no flags Details

Description alextazy0 2010-05-04 05:39:31 UTC
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/bin/pyrenamer
comment: I was trying to renname a file with a name with a non-valid letter :"97+98 - Le Troph�e + Hollow Man.AVI (codage non valide)"; the � represents a "é".
component: pyrenamer
executable: /usr/bin/pyrenamer
kernel: 2.6.32.11-99.fc12.i686
package: pyrenamer-0.6.0.1-4.fc12
reason: pyrenamer_filefuncs.py:197:replace_with:UnicodeDecodeError: 'utf8' codec can't decode byte 0x82 in position 20: unexpected code byte
release: Fedora release 12 (Constantine)

backtrace
-----
pyrenamer_filefuncs.py:197:replace_with:UnicodeDecodeError: 'utf8' codec can't decode byte 0x82 in position 20: unexpected code byte

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pyrenamer/pyrenamer.py", line 683, in on_preview_button_clicked
    self.file_selected_model.foreach(self.preview_rename_rows, paths)
  File "/usr/lib/python2.6/site-packages/pyrenamer/pyrenamer.py", line 493, in preview_rename_rows
    newname, newpath = renamerfilefuncs.replace_with(newname, newpath, orig, new)
  File "/usr/lib/python2.6/site-packages/pyrenamer/pyrenamer_filefuncs.py", line 197, in replace_with
    return unicode(newname), unicode(newpath)
UnicodeDecodeError: 'utf8' codec can't decode byte 0x82 in position 20: unexpected code byte

Local variables in innermost frame:
newpath: "/media/900interne/jdownloader_incomming/53+54 - Les Festivit\x82s + La Corne D'Abondance.AVI"
name: "53+54 - Les Festivit\x82s + La Corne D'Abondance.AVI"
newname: "53+54 - Les Festivit\x82s + La Corne D'Abondance.AVI"
new: '\xc3\xa9'
path: "/media/900interne/jdownloader_incomming/53+54 - Les Festivit\x82s + La Corne D'Abondance.AVI"
orig: '\xef\xbf\xbd'

How to reproduce
-----
1.open pyrennamer
2. Trying renamming with a non-valid coding letter
3.

Comment 1 alextazy0 2010-05-04 05:39:33 UTC
Created attachment 411181 [details]
File: backtrace

Comment 2 Bug Zapper 2010-11-03 15:42:35 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-12-03 15:07:23 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.